Go to the latest version of this document.

# ``twisted`.`internet`.`tcp`.`_BuffersLogs``

class documentation

`class _BuffersLogs: (source)`

View In Hierarchy

A context manager that buffers any log events until after its block exits.

Method | `__enter__` | Enter a log buffering context.
Method | `__exit__` | Exit a log buffering context and log all buffered events to the provided observer.
Instance Variable | `_logs` | Undocumented
Instance Variable | `_namespace` | The namespace of the buffered events.
Instance Variable | `_observer` | The observer to which buffered log events will be written

def __enter__(self): (source)

Enter a log buffering context.

Returns
`Logger`. | A logger that buffers log events.

def __exit__(self, excValue, excType, traceback): (source)

Exit a log buffering context and log all buffered events to the provided observer.

Parameters
excValue | See `object.__exit__`
excType | See `object.__exit__`
traceback | See `object.__exit__`

_logs: `list[LogEvent]` = (source)

Undocumented

_namespace: `str`. = (source)

The namespace of the buffered events.

_observer: `twisted.logger.ILogObserver`. = (source)

The observer to which buffered log events will be written